SDL_JoyBatteryEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
SDL_JoystickID | which
SDL_JoystickPowerLevel | level

## Detailed Description

Joysick battery level change event structure (event.jbattery.*)

Definition at line 431 of file SDL_events.h.

## Field Documentation

## level

SDL_JoystickPowerLevel SDL_JoyBatteryEvent::level

The joystick battery level

Definition at line 436 of file SDL_events.h.

## timestamp

Uint32 SDL_JoyBatteryEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 434 of file SDL_events.h.

## type

Uint32 SDL_JoyBatteryEvent::type

SDL_JOYBATTERYUPDATED

Definition at line 433 of file SDL_events.h.

## which

SDL_JoystickID SDL_JoyBatteryEvent::which

The joystick instance id

Definition at line 435 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h